---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/v5-EN/llms.txt
---

# Create a new PredefinedValue in the datamodel

Creates a PredefinedValue resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/predefined-values": {
      "post": {
        "operationId": "postPredefinedValueCollection",
        "tags": [
          "Data Model"
        ],
        "responses": {
          "201": {
            "description": "PredefinedValue resource created",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/PredefinedValue.PredefinedValueOutput.jsonld-predefinedValue.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/PredefinedValue.PredefinedValueOutput-predefinedValue.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PredefinedValue.PredefinedValueOutput-predefinedValue.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/PredefinedValue.PredefinedValueOutput-predefinedValue.output"
                }
              }
            },
            "links": {
              "GetPredefinedValueItem": {
                "operationId": "getPredefinedValueItem",
                "parameters": {
                  "attribute": "$response.body#/attribute",
                  "code": "$response.body#/code"
                },
                "description": "The values returned in the response can be used in `GET /predefined-values/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Create a new PredefinedValue in the datamodel",
        "description": "Creates a PredefinedValue resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new PredefinedValue resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/PredefinedValue.PredefinedValueInput.jsonld-predefinedValue.input.create"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/PredefinedValue.PredefinedValueInput-predefinedValue.input.create"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PredefinedValue.PredefinedValueInput-predefinedValue.input.create"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/PredefinedValue.PredefinedValueInput-predefinedValue.input.create"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "LocaleTranslation": {
        "type": "object",
        "description": "This structure does accept key & values where key has to be a locale code configured in your PIM & the value is the value for this field in this locale.",
        "properties": {
          "fr_FR": {
            "type": "string",
            "example": "fr_FR translation"
          },
          "en_US": {
            "type": "string",
            "example": "en_US translation"
          }
        },
        "additionalProperties": {
          "type": "string",
          "example": "additional translation"
        },
        "example": {
          "fr_FR": "fr_FR translation",
          "en_US": "en_US translation",
          "<*>": "..."
        }
      },
      "PredefinedValue.PredefinedValueInput-predefinedValue.input.create": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "attribute": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              }
            },
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "PredefinedValue.PredefinedValueInput.jsonld-predefinedValue.input.create": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "attribute": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              }
            },
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "PredefinedValue.PredefinedValueOutput-predefinedValue.output": {
        "type": "object",
        "properties": {
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          },
          "attribute": {
            "readOnly": true,
            "$ref": "#/components/schemas/attributes.EavAttributeOutput-predefinedValue.output"
          },
          "name": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          }
        }
      },
      "PredefinedValue.PredefinedValueOutput.jsonld-predefinedValue.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          },
          "attribute": {
            "readOnly": true,
            "$ref": "#/components/schemas/attributes.EavAttributeOutput.jsonld-predefinedValue.output"
          },
          "name": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "description": {
            "$ref": "#/components/schemas/LocaleTranslation",
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          }
        }
      },
      "attributes.EavAttributeOutput-predefinedValue.output": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          }
        }
      },
      "attributes.EavAttributeOutput.jsonld-predefinedValue.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ]
}
```